Skip to main content
PATCH
Update Ship

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ship_id
string<uuid>
required

Body

application/json

Data for updating a ship. All fields are optional for partial updates.

name
string | null
imoNumber
string | null
mmsiNumber
string | null
callSign
string | null
flagName
string | null
portOfRegistry
string | null

Response

Successful Response

Ship with enriched data for API responses (includes crew_count).

id
string<uuid>
required
name
string
required
createdAt
string<date-time>
required
imoNumber
string | null
mmsiNumber
string | null
callSign
string | null
flagName
string | null
portOfRegistry
string | null
crewCount
integer
default:0